curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"subject": "Replacement tent pole set",
"message_body": "string",
"tags": "priority",
"quantity": 2,
"customer": {
"first_name": "Ada",
"last_name": "Lovelace",
"email": "ada.lovelace@example.com",
"phone": "+1 415 555 0142"
},
"address": {
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"zip": "94107",
"country": "US"
}
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Start warranty workflow
Success
POST
/
v1
/
workflows
/
warranty-automation-v2
/
start
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"subject": "Replacement tent pole set",
"message_body": "string",
"tags": "priority",
"quantity": 2,
"customer": {
"first_name": "Ada",
"last_name": "Lovelace",
"email": "ada.lovelace@example.com",
"phone": "+1 415 555 0142"
},
"address": {
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"zip": "94107",
"country": "US"
}
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Request body
WarrantyWorkflowInput
string (uuid)
required
string (uuid)
required
string
required
string
string
string
string
integer
WarrantyCustomer
WarrantyAddress
Response
StartWorkflowResponse
string
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Success |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/start' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"subject": "Replacement tent pole set",
"message_body": "string",
"tags": "priority",
"quantity": 2,
"customer": {
"first_name": "Ada",
"last_name": "Lovelace",
"email": "ada.lovelace@example.com",
"phone": "+1 415 555 0142"
},
"address": {
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"zip": "94107",
"country": "US"
}
}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026